Bug 234346 - oocalc is slow in repainting the screen
oocalc is slow in repainting the screen
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Depends On:
  Show dependency treegraph
Reported: 2007-03-28 12:38 EDT by Fred New
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-03-29 05:23:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Example oocalc spreadsheet (26.57 KB, application/vnd.oasis.opendocument.spreadsheet)
2007-03-28 12:38 EDT, Fred New
no flags Details

  None (edit)
Description Fred New 2007-03-28 12:38:42 EDT
Description of problem:
When I have a full-screen spreadsheet and I use <Alt><Tab> to swap between the
spreadsheet and something else, when I return to the spreadsheet it takes more
than a second to repaint columns with formulas in them.  The problem also
appears when paging down the spreadsheet.  This makes it difficult to work on a
spreadsheet when looking at other documents.  I haven't noticed this problem in
FC6 or FC5.  It could be that the kernel and other packages just have too many
debugging features turned on.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Open the attached spreadsheet
2. Try transferring out and into it using <Alt><Tab> or try scrolling down and up.
Actual results:
On my 800 MHz Pentium III system with 512 MB, it takes more than a second for
the screen to finish painting.

Expected results:
Screen painting should finish in less than 1/4 second.  (Am I spoiled?)

Additional info:
Screen resolution on my test system is 1280x1024, 85 Hz.

lspci shows
02:00.0 VGA compatible controller: ATI Technologies Inc Rage 128 PF/PRO AGP 4x TMDS

My OOo locale is set to Estonian, but the date display doesn't seem to have any

For the attached document, the C and H columns are the ones that reappear slowly.

I don't appear to be swapping.  The "free" command shows only 88 blocks of swap
space used.
Comment 1 Fred New 2007-03-28 12:38:42 EDT
Created attachment 151134 [details]
Example oocalc spreadsheet
Comment 2 Caolan McNamara 2007-03-29 05:23:36 EDT
There's no noticeable redraw time at all for me with
openoffice.org-calc-2.2.0-14.1 but I don't have the same video card as you and
have a higher spec box so it's hard to tell if this is now fixed or remains a

Maybe try again with Test3 to see if the problem remains. But in the meantime I
can't reproduce the problem :-(
Comment 3 Fred New 2007-03-29 05:56:40 EDT
Oops, I had planned to try this on my F7T2 system at work, too...

There is some delay in my second system, too, but it isn't as pronounced as on
the first system.  As a further description of what I see, when I first swap
into the spreadsheet, columns C and H are half painted and everything else is
fully painted.  After a moment, C and H complete.  The "moment" is much less
than a second on my second system.  There is also considerable delay and
flashing if I need to scroll down while selecting cells like you would do for
copy-and-paste.  Now I'll have to go home and see how this looks on my FC5 system...

My second system is a 2 GHz P4 system with 1 GB of memory. The lspci for the
video controller shows
01:00.0 VGA compatible controller: Matrox Graphics, Inc. MGA G550 AGP (rev 01)

We can leave this closed for now.  I will re-open it if I have worse problems
with Test3, or if things don't improve in the final release.

Note You need to log in before you can comment on or make changes to this bug.